Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.proj
Class LineType

    java.lang.Object
      com.bbn.openmap.proj.LineType

public final class LineType
extends java.lang.Object

LineType constants.

Field Summary
`static int` | `GreatCircle` Great circle lines follow the shortest path between two points on a sphere.
`static int` | `Rhumb` Rhumb lines follow a constant bearing.
`static int` | `Straight` Straight lines are the easiest and fastest to draw.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Straight

    public static final transient int Straight

  Straight lines are the easiest and fastest to draw. Use them if you're concerned about speed of projecting.

  See Also:
    Constant Field Values

### Rhumb

    public static final transient int Rhumb

  Rhumb lines follow a constant bearing.

  See Also:
    Constant Field Values

### GreatCircle

    public static final transient int GreatCircle

  Great circle lines follow the shortest path between two points on a sphere.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details